Index: /trunk/src/VBox/NetworkServices/DHCP/ClientDataInt.h
===================================================================
--- /trunk/src/VBox/NetworkServices/DHCP/ClientDataInt.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/DHCP/ClientDataInt.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef __CLIENT_DATA_INT_H__
 #define __CLIENT_DATA_INT_H__
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 class ClientData
Index: /trunk/src/VBox/NetworkServices/DHCP/Config.h
===================================================================
--- /trunk/src/VBox/NetworkServices/DHCP/Config.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/DHCP/Config.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _CONFIG_H_
 #define _CONFIG_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/asm-math.h>
Index: /trunk/src/VBox/NetworkServices/Dhcpd/ClientId.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/ClientId.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/ClientId.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _DHCPD_CLIENT_ID_H_
 #define _DHCPD_CLIENT_ID_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "Defs.h"
Index: /trunk/src/VBox/NetworkServices/Dhcpd/Config.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/Config.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/Config.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _DHCPD_CONFIG_H_
 #define _DHCPD_CONFIG_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/types.h>
Index: /trunk/src/VBox/NetworkServices/Dhcpd/DHCPD.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/DHCPD.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/DHCPD.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _DHCPD_DHCPD_H_
 #define _DHCPD_DHCPD_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "Defs.h"
Index: /trunk/src/VBox/NetworkServices/Dhcpd/Db.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/Db.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/Db.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _DHCPD_DB_H_
 #define _DHCPD_DB_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/net.h>
Index: /trunk/src/VBox/NetworkServices/Dhcpd/Defs.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/Defs.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/Defs.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _DHCPD_DEFS_H_
 #define _DHCPD_DEFS_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/stdint.h>
Index: /trunk/src/VBox/NetworkServices/Dhcpd/DhcpMessage.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/DhcpMessage.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/DhcpMessage.h	(revision 76525)
@@ -15,6 +15,10 @@
  * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
  */
+
 #ifndef _DHCP_MESSAGE_H_
 #define _DHCP_MESSAGE_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "Defs.h"
Index: /trunk/src/VBox/NetworkServices/Dhcpd/DhcpOptions.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/DhcpOptions.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/DhcpOptions.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _DHCP_OPTIONS_H_
 #define _DHCP_OPTIONS_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "Defs.h"
Index: /trunk/src/VBox/NetworkServices/Dhcpd/IPv4Pool.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/IPv4Pool.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/IPv4Pool.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _DHCPD_IPV4_POOL_H_
 #define _DHCPD_IPV4_POOL_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/asm.h>
Index: /trunk/src/VBox/NetworkServices/Dhcpd/TimeStamp.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/TimeStamp.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/TimeStamp.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _DHCPD_TIMESTAMP_H_
 #define _DHCPD_TIMESTAMP_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/string.h>
Index: /trunk/src/VBox/NetworkServices/Dhcpd/lwipopts.h
===================================================================
--- /trunk/src/VBox/NetworkServices/Dhcpd/lwipopts.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/Dhcpd/lwipopts.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _VBOX_DHCPD_LWIP_OPTS_H_
 #define _VBOX_DHCPD_LWIP_OPTS_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/cdefs.h>     /* For VBOX_STRICT. */
Index: /trunk/src/VBox/NetworkServices/NAT/dhcp6.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/dhcp6.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/dhcp6.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _DHCP6_H_
 #define _DHCP6_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 /* UDP ports */
Index: /trunk/src/VBox/NetworkServices/NAT/lwipopts.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/lwipopts.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/lwipopts.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _VBOX_NETNAT_LWIP_OPTS_H_
 #define _VBOX_NETNAT_LWIP_OPTS_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/cdefs.h>     /* For VBOX_STRICT. */
Index: /trunk/src/VBox/NetworkServices/NAT/portfwd.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/portfwd.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/portfwd.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _portfwd_h_
 #define _portfwd_h_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifndef RT_OS_WINDOWS
Index: /trunk/src/VBox/NetworkServices/NAT/proxy.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/proxy.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/proxy.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef ___nat_proxy_h___
 #define ___nat_proxy_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #if !defined(VBOX)
Index: /trunk/src/VBox/NetworkServices/NAT/proxy_pollmgr.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/proxy_pollmgr.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/proxy_pollmgr.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _PROXY_POLLMGR_H_
 #define _PROXY_POLLMGR_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifndef RT_OS_WINDOWS
Index: /trunk/src/VBox/NetworkServices/NAT/pxremap.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/pxremap.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/pxremap.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _pxremap_h_
 #define _pxremap_h_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "lwip/err.h"
Index: /trunk/src/VBox/NetworkServices/NAT/pxtcp.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/pxtcp.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/pxtcp.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _pxtcp_h_
 #define _pxtcp_h_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "lwip/err.h"
Index: /trunk/src/VBox/NetworkServices/NAT/tftp.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/tftp.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/tftp.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _TFTP_H_
 #define _TFTP_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #define TFTP_SERVER_PORT 69
Index: /trunk/src/VBox/NetworkServices/NAT/winpoll.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/winpoll.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/winpoll.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef _WINPOLL_H_
 #define _WINPOLL_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 # include <iprt/cdefs.h>
 /**
Index: /trunk/src/VBox/NetworkServices/NAT/winutils.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NAT/winutils.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NAT/winutils.h	(revision 76525)
@@ -17,5 +17,8 @@
 
 #ifndef __WINUTILS_H_
-# define __WINUTILS_H_
+#define __WINUTILS_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 # include <iprt/cdefs.h>
Index: /trunk/src/VBox/NetworkServices/NetLib/VBoxNetBaseService.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NetLib/VBoxNetBaseService.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NetLib/VBoxNetBaseService.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef ___VBoxNetBaseService_h___
 #define ___VBoxNetBaseService_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/critsect.h>
Index: /trunk/src/VBox/NetworkServices/NetLib/VBoxNetLib.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NetLib/VBoxNetLib.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NetLib/VBoxNetLib.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef ___VBoxNetUDP_h___
 #define ___VBoxNetUDP_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/net.h>
Index: /trunk/src/VBox/NetworkServices/NetLib/VBoxPortForwardString.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NetLib/VBoxPortForwardString.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NetLib/VBoxPortForwardString.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef ___VBoxPortForwardString_h___
 #define ___VBoxPortForwardString_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/net.h>
Index: /trunk/src/VBox/NetworkServices/NetLib/cpp/utils.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NetLib/cpp/utils.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NetLib/cpp/utils.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef ___NETLIB_CPP_UTILS_H___
 #define ___NETLIB_CPP_UTILS_H___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/types.h>
Index: /trunk/src/VBox/NetworkServices/NetLib/shared_ptr.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NetLib/shared_ptr.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NetLib/shared_ptr.h	(revision 76525)
@@ -18,4 +18,7 @@
 #ifndef __SHARED_PTR_H__
 #define __SHARED_PTR_H__
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: /trunk/src/VBox/NetworkServices/NetLib/utils.h
===================================================================
--- /trunk/src/VBox/NetworkServices/NetLib/utils.h	(revision 76524)
+++ /trunk/src/VBox/NetworkServices/NetLib/utils.h	(revision 76525)
@@ -19,6 +19,10 @@
 *   Header Files                                                               *
 *******************************************************************************/
+
 #ifndef _NETLIB_UTILS_H_
 #define _NETLIB_UTILS_H_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "cpp/utils.h"