Index: /trunk/src/VBox/HostDrivers/.scm-settings
===================================================================
--- /trunk/src/VBox/HostDrivers/.scm-settings	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/.scm-settings	(revision 76527)
@@ -44,6 +44,6 @@
 
 # Trivial dual C and assembly include files which cannot have comments.
-/Support/win/import-template-kernel32.h: --no-update-copyright-year --no-update-license
-/Support/win/import-template-ntdll.h:    --no-update-copyright-year --no-update-license
+/Support/win/import-template-kernel32.h: --no-update-copyright-year --no-update-license --no-fix-header-guards
+/Support/win/import-template-ntdll.h:    --no-update-copyright-year --no-update-license --no-fix-header-guards
 
 # Ignore binary files
@@ -56,5 +56,5 @@
 --filter-out-files /VBoxNetAdp/solaris/hostname.vboxnet0
 --filter-out-files /VBoxNetFlt/win/nobj/VBoxNetFltNobj.rgs
-/VBoxNetFlt/win/nobj/VBoxNetFltNobjT.idl: --treat-as .h
+/VBoxNetFlt/win/nobj/VBoxNetFltNobjT.idl: --treat-as .h --no-fix-header-guards
 /Support/solaris/mod.sh: --no-convert-tabs
 /Support/linux/SUPDrv-linux.mod.c: --no-convert-tabs
Index: /trunk/src/VBox/HostDrivers/Support/SUPDrvIDC.h
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPDrvIDC.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/Support/SUPDrvIDC.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___SUPDrvIDC_h___
 #define ___SUPDrvIDC_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/types.h>
Index: /trunk/src/VBox/HostDrivers/Support/SUPDrvIOC.h
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPDrvIOC.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/Support/SUPDrvIOC.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___SUPDrvIOC_h___
 #define ___SUPDrvIOC_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/types.h>
Index: /trunk/src/VBox/HostDrivers/Support/SUPDrvInternal.h
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPDrvInternal.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/Support/SUPDrvInternal.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___SUPDrvInternal_h
 #define ___SUPDrvInternal_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 
Index: /trunk/src/VBox/HostDrivers/Support/SUPLibInternal.h
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPLibInternal.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/Support/SUPLibInternal.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___SUPLibInternal_h___
 #define ___SUPLibInternal_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/cdefs.h>
Index: /trunk/src/VBox/HostDrivers/Support/SUPR0IdcClientInternal.h
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPR0IdcClientInternal.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/Support/SUPR0IdcClientInternal.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___SUPR0IdcClientInternal_h__
 #define ___SUPR0IdcClientInternal_h__
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/types.h>
Index: /trunk/src/VBox/HostDrivers/Support/SUPSvcInternal.h
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPSvcInternal.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/Support/SUPSvcInternal.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___SUPSvcInternal_h___
 #define ___SUPSvcInternal_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/cdefs.h>
Index: /trunk/src/VBox/HostDrivers/Support/darwin/sys/dtrace_glue.h
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/darwin/sys/dtrace_glue.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/Support/darwin/sys/dtrace_glue.h	(revision 76527)
@@ -25,4 +25,10 @@
  */
 
+#ifndef VBOX_INCLUDED_darwin_sys_dtrace_glue_h
+#define VBOX_INCLUDED_darwin_sys_dtrace_glue_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
+
 #define _KERNEL
 typedef struct solaris_cred cred_t;
@@ -31,2 +37,3 @@
 typedef unsigned int model_t;
 
+#endif
Index: /trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerify-win.h
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerify-win.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerify-win.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___win_SUPHardenedVerify_win_h
 #define ___win_SUPHardenedVerify_win_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/types.h>
Index: /trunk/src/VBox/HostDrivers/VBoxNetAdp/VBoxNetAdpInternal.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetAdp/VBoxNetAdpInternal.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetAdp/VBoxNetAdpInternal.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxNetAdpInternal_h___
 #define ___VBoxNetAdpInternal_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/sup.h>
Index: /trunk/src/VBox/HostDrivers/VBoxNetAdp/win/VBoxNetAdp-win.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetAdp/win/VBoxNetAdp-win.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetAdp/win/VBoxNetAdp-win.h	(revision 76527)
@@ -23,6 +23,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxNetAdp_win_h___
 #define ___VBoxNetAdp_win_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #define VBOXNETADP_VERSION_NDIS_MAJOR        6
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/VBoxNetFltInternal.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/VBoxNetFltInternal.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/VBoxNetFltInternal.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxNetFltInternal_h___
 #define ___VBoxNetFltInternal_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/sup.h>
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltCmn-win.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltCmn-win.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltCmn-win.h	(revision 76527)
@@ -28,4 +28,7 @@
 #ifndef ___VBoxNetFltCmn_win_h___
 #define ___VBoxNetFltCmn_win_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #define LOG_GROUP LOG_GROUP_NET_FLT_DRV
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltM-win.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltM-win.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltM-win.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxNetFltM_win_h___
 #define ___VBoxNetFltM_win_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 DECLHIDDEN(NDIS_STATUS) vboxNetFltWinMpRegister(PVBOXNETFLTGLOBALS_MP pGlobalsMp, PDRIVER_OBJECT pDriverObject, PUNICODE_STRING pRegistryPathStr);
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltP-win.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltP-win.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltP-win.h	(revision 76527)
@@ -24,6 +24,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxNetFltP_win_h___
 #define ___VBoxNetFltP_win_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef VBOXNETADP
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltRt-win.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltRt-win.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltRt-win.h	(revision 76527)
@@ -24,6 +24,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxNetFltRt_win_h___
 #define ___VBoxNetFltRt_win_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 DECLHIDDEN(VOID) vboxNetFltWinUnload(IN PDRIVER_OBJECT DriverObject);
 
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetLwf-win.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetLwf-win.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetLwf-win.h	(revision 76527)
@@ -23,6 +23,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxNetLwf_win_h___
 #define ___VBoxNetLwf_win_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #define VBOXNETLWF_VERSION_NDIS_MAJOR        6
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/nobj/VBoxNetFltNobj.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/nobj/VBoxNetFltNobj.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/nobj/VBoxNetFltNobj.h	(revision 76527)
@@ -24,6 +24,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxNetFltNobj_h___
 #define ___VBoxNetFltNobj_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/win/windows.h>
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/nobj/VBoxNetFltNobjRc.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/nobj/VBoxNetFltNobjRc.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/nobj/VBoxNetFltNobjRc.h	(revision 76527)
@@ -24,6 +24,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxNetFltNobjRc_h___
 #define ___VBoxNetFltNobjRc_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 /* registry script rc ID */
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/nobj/VBoxNetFltNobjT.idl
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/nobj/VBoxNetFltNobjT.idl	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/nobj/VBoxNetFltNobjT.idl	(revision 76527)
@@ -1,7 +1,5 @@
 /* $Id$ */
 /** @file
- * VBoxNetFltNobjT.idl - Notify Object for Bridged Networking Driver.
-
- * Type lib definition
+ * VBoxNetFltNobjT.idl - Notify Object for Bridged Networking Driver, typelib definition.
  */
 
Index: /trunk/src/VBox/HostDrivers/VBoxPci/VBoxPciInternal.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxPci/VBoxPciInternal.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxPci/VBoxPciInternal.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxPciInternal_h___
 #define ___VBoxPciInternal_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/sup.h>
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/VBoxUSBFilterMgr.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/VBoxUSBFilterMgr.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/VBoxUSBFilterMgr.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxUSBFilterMgr_h
 #define ___VBoxUSBFilterMgr_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/usbfilter.h>
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/darwin/VBoxUSBInterface.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/darwin/VBoxUSBInterface.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/darwin/VBoxUSBInterface.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxUSBInterface_h
 #define ___VBoxUSBInterface_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/usbfilter.h>
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/os2/usbcalls.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/os2/usbcalls.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/os2/usbcalls.h	(revision 76527)
@@ -1,4 +1,8 @@
-#ifndef _usbcalls_h__
+
+#ifndef _usbcalls_h_
 #define _usbcalls_h_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxDrvTool_win_h___
 #define ___VBoxDrvTool_win_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/cdefs.h>
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbIdc.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbIdc.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbIdc.h	(revision 76527)
@@ -24,6 +24,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxUsbIdc_h___
 #define ___VBoxUsbIdc_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #define VBOXUSBIDC_VERSION_MAJOR 1
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.h	(revision 76527)
@@ -24,6 +24,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxUsbTool_h___
 #define ___VBoxUsbTool_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "VBoxDrvTool.h"
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbCmn.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbCmn.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbCmn.h	(revision 76527)
@@ -23,6 +23,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxUsbCmn_h___
 #define ___VBoxUsbCmn_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "../cmn/VBoxDrvTool.h"
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxUsbDev_h___
 #define ___VBoxUsbDev_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "VBoxUsbCmn.h"
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxUsbPnP_h___
 #define ___VBoxUsbPnP_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 #include "VBoxUsbCmn.h"
 
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.h	(revision 76527)
@@ -26,4 +26,7 @@
 #ifndef ___VBoxUsbPwr_h___
 #define ___VBoxUsbPwr_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 typedef struct VBOXUSB_PWRSTATE
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.h	(revision 76527)
@@ -23,6 +23,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxUsbRt_h___
 #define ___VBoxUsbRt_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "VBoxUsbCmn.h"
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___win_mon_VBoxUsbFlt_h___
 #define ___win_mon_VBoxUsbFlt_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "VBoxUsbMon.h"
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.h	(revision 76527)
@@ -26,4 +26,7 @@
 #ifndef ___VBoxUsbHook_h___
 #define ___VBoxUsbHook_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "VBoxUsbMon.h"
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h	(revision 76527)
@@ -23,6 +23,10 @@
  * terms and conditions of either the GPL or the CDDL or both.
  */
+
 #ifndef ___VBoxUsbMon_h___
 #define ___VBoxUsbMon_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <VBox/cdefs.h>
Index: /trunk/src/VBox/HostDrivers/darwin/VBoxNetSend.h
===================================================================
--- /trunk/src/VBox/HostDrivers/darwin/VBoxNetSend.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/darwin/VBoxNetSend.h	(revision 76527)
@@ -26,6 +26,10 @@
 
 /** @todo move this to src/VBox/HostDrivers/darwin as a .cpp file. */
+
 #ifndef ___VBox_VBoxNetSend_h
 #define ___VBox_VBoxNetSend_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #if defined(RT_OS_DARWIN)
Index: /trunk/src/VBox/HostDrivers/win/VBoxDbgLog.h
===================================================================
--- /trunk/src/VBox/HostDrivers/win/VBoxDbgLog.h	(revision 76526)
+++ /trunk/src/VBox/HostDrivers/win/VBoxDbgLog.h	(revision 76527)
@@ -27,4 +27,7 @@
 #ifndef ___VBoxDbgLog_h___
 #define ___VBoxDbgLog_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifndef VBOX_DBG_LOG_NAME