Index: trunk/src/VBox/Additions/freebsd/vboxvfs/vboxvfs.h
===================================================================
--- trunk/src/VBox/Additions/freebsd/vboxvfs/vboxvfs.h	(revision 76537)
+++ trunk/src/VBox/Additions/freebsd/vboxvfs/vboxvfs.h	(revision 76538)
@@ -18,4 +18,7 @@
 #ifndef ___VBOXVFS_H___
 #define ___VBOXVFS_H___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #define VBOXVFS_VFSNAME "vboxvfs"
Index: trunk/src/VBox/Additions/haiku/SharedFolders/OpenHashTable.h
===================================================================
--- trunk/src/VBox/Additions/haiku/SharedFolders/OpenHashTable.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/SharedFolders/OpenHashTable.h	(revision 76538)
@@ -27,4 +27,7 @@
 #ifndef _KERNEL_UTIL_OPEN_HASH_TABLE_H
 #define _KERNEL_UTIL_OPEN_HASH_TABLE_H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 
Index: trunk/src/VBox/Additions/haiku/SharedFolders/kernel_cpp.h
===================================================================
--- trunk/src/VBox/Additions/haiku/SharedFolders/kernel_cpp.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/SharedFolders/kernel_cpp.h	(revision 76538)
@@ -27,4 +27,7 @@
 #ifndef KERNEL_CPP_H
 #define KERNEL_CPP_H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: trunk/src/VBox/Additions/haiku/SharedFolders/lock.h
===================================================================
--- trunk/src/VBox/Additions/haiku/SharedFolders/lock.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/SharedFolders/lock.h	(revision 76538)
@@ -29,4 +29,7 @@
 #ifndef _KERNEL_LOCK_H
 #define _KERNEL_LOCK_H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <OS.h>
Index: trunk/src/VBox/Additions/haiku/SharedFolders/vboxsf.h
===================================================================
--- trunk/src/VBox/Additions/haiku/SharedFolders/vboxsf.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/SharedFolders/vboxsf.h	(revision 76538)
@@ -46,4 +46,7 @@
 #ifndef ___vboxsf_h
 #define ___vboxsf_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <malloc.h>
Index: trunk/src/VBox/Additions/haiku/VBoxMouse/VBoxMouse.h
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxMouse/VBoxMouse.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/VBoxMouse/VBoxMouse.h	(revision 76538)
@@ -47,4 +47,7 @@
 #ifndef __VBOXMOUSE__H
 #define __VBOXMOUSE__H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <InputServerDevice.h>
Index: trunk/src/VBox/Additions/haiku/VBoxMouse/VBoxMouseFilter.h
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxMouse/VBoxMouseFilter.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/VBoxMouse/VBoxMouseFilter.h	(revision 76538)
@@ -47,4 +47,7 @@
 #ifndef __VBOXMOUSE_FILTER__H
 #define __VBOXMOUSE_FILTER__H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <InputServerFilter.h>
Index: trunk/src/VBox/Additions/haiku/VBoxTray/VBoxClipboard.h
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxTray/VBoxClipboard.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/VBoxTray/VBoxClipboard.h	(revision 76538)
@@ -47,4 +47,7 @@
 #ifndef __VBOXSERVICESHAREDCLIPLBOARD__H
 #define __VBOXSERVICESHAREDCLIPLBOARD__H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <Handler.h>
Index: trunk/src/VBox/Additions/haiku/VBoxTray/VBoxDisplay.h
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxTray/VBoxDisplay.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/VBoxTray/VBoxDisplay.h	(revision 76538)
@@ -47,4 +47,7 @@
 #ifndef __VBOXDISPLAY__H
 #define __VBOXDISPLAY__H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <Handler.h>
Index: trunk/src/VBox/Additions/haiku/VBoxTray/VBoxGuestApplication.h
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxTray/VBoxGuestApplication.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/VBoxTray/VBoxGuestApplication.h	(revision 76538)
@@ -47,4 +47,7 @@
 #ifndef ___VBOXGUESTAPPLICATION__H
 #define ___VBOXGUESTAPPLICATION__H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 /** @todo r=ramshankar; why are we including all the headers here!?? Do it in
Index: trunk/src/VBox/Additions/haiku/VBoxTray/VBoxGuestDeskbarView.h
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxTray/VBoxGuestDeskbarView.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/VBoxTray/VBoxGuestDeskbarView.h	(revision 76538)
@@ -47,4 +47,7 @@
 #ifndef ___VBOXGUESTTRAYVIEW__H
 #define ___VBOXGUESTTRAYVIEW__H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <Bitmap.h>
Index: trunk/src/VBox/Additions/haiku/VBoxTray/VBoxServiceDescriptor.h
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxTray/VBoxServiceDescriptor.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/VBoxTray/VBoxServiceDescriptor.h	(revision 76538)
@@ -44,6 +44,10 @@
  * OTHER DEALINGS IN THE SOFTWARE.
  */
+
 #ifndef __VBOXSERVICESHAREDCLIPLBOARD__H
 #define __VBOXSERVICESHAREDCLIPLBOARD__H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <Handler.h>
Index: trunk/src/VBox/Additions/haiku/VBoxVideo/accelerant/accelerant.h
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxVideo/accelerant/accelerant.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/VBoxVideo/accelerant/accelerant.h	(revision 76538)
@@ -47,4 +47,7 @@
 #ifndef ___VBOX_ACCELERANT_H
 #define ___VBOX_ACCELERANT_H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <Accelerant.h>
Index: trunk/src/VBox/Additions/haiku/VBoxVideo/common/VBoxVideo_common.h
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxVideo/common/VBoxVideo_common.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/VBoxVideo/common/VBoxVideo_common.h	(revision 76538)
@@ -47,4 +47,7 @@
 #ifndef ___VBOXVIDEO_COMMON_H
 #define ___VBOXVIDEO_COMMON_H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <Drivers.h>
Index: trunk/src/VBox/Additions/haiku/include/VBoxGuestInternal.h
===================================================================
--- trunk/src/VBox/Additions/haiku/include/VBoxGuestInternal.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/include/VBoxGuestInternal.h	(revision 76538)
@@ -47,4 +47,7 @@
 #ifndef ___VBoxGuestInternal_h_
 #define ___VBoxGuestInternal_h_
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 /** The MIME signature of the VBoxGuest application. */
Index: trunk/src/VBox/Additions/haiku/include/lock.h
===================================================================
--- trunk/src/VBox/Additions/haiku/include/lock.h	(revision 76537)
+++ trunk/src/VBox/Additions/haiku/include/lock.h	(revision 76538)
@@ -32,4 +32,7 @@
 #ifndef _KERNEL_LOCK_H
 #define _KERNEL_LOCK_H
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <OS.h>
Index: trunk/src/VBox/Additions/os2/.scm-settings
===================================================================
--- trunk/src/VBox/Additions/os2/.scm-settings	(revision 76537)
+++ trunk/src/VBox/Additions/os2/.scm-settings	(revision 76538)
@@ -25,10 +25,10 @@
 /VBoxGradd/*.asm: --external-copyright --no-convert-tabs
 /VBoxGradd/*.inc: --external-copyright --no-convert-tabs
-/VBoxGradd/*.h:   --external-copyright
+/VBoxGradd/*.h:   --external-copyright --no-fix-header-guards
 /VBoxGradd/vboxioctl.c: --no-external-copyright
 /VBoxGradd/vboxioctl.h: --no-external-copyright
 
 /VBoxGrext/*.c:   --external-copyright
-/VBoxGrext/*.h:   --external-copyright
+/VBoxGrext/*.h:   --external-copyright --no-fix-header-guards
 /VBoxGrext/*.def: --external-copyright
 
@@ -36,5 +36,5 @@
 /VBoxMouse/*.asm: --external-copyright --no-convert-tabs
 /VBoxMouse/*.inc: --external-copyright --no-convert-tabs
-/VBoxMouse/*.h:   --external-copyright --no-convert-tabs
+/VBoxMouse/*.h:   --external-copyright --no-convert-tabs --no-fix-header-guards
 /VBoxMouse/crtstuff.c:       --no-external-copyright --convert-tabs
 /VBoxMouse/VBoxMouse.c:      --no-external-copyright --convert-tabs
Index: trunk/src/VBox/Additions/os2/VBoxSF/VBoxSFInternal.h
===================================================================
--- trunk/src/VBox/Additions/os2/VBoxSF/VBoxSFInternal.h	(revision 76537)
+++ trunk/src/VBox/Additions/os2/VBoxSF/VBoxSFInternal.h	(revision 76538)
@@ -31,4 +31,7 @@
 #ifndef ___VBoxSFInternal_h___
 #define ___VBoxSFInternal_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 