Index: /trunk/src/VBox/Artwork/win/.scm-settings
===================================================================
--- /trunk/src/VBox/Artwork/win/.scm-settings	(revision 76541)
+++ /trunk/src/VBox/Artwork/win/.scm-settings	(revision 76542)
@@ -28,2 +28,4 @@
 --license-ose-dual
 
+/TemplateRsrcDefs.h: --no-fix-header-guards
+
Index: /trunk/src/VBox/Main/.scm-settings
===================================================================
--- /trunk/src/VBox/Main/.scm-settings	(revision 76541)
+++ /trunk/src/VBox/Main/.scm-settings	(revision 76542)
@@ -32,4 +32,7 @@
 --filter-out-files /src-server/usb.ids
 /src-all/win/VBoxAPIWrap-precomp_gcc.h: --no-pragma-once
+/src-all/win/VBoxAPIWrap-precomp_vcc.h: --no-fix-header-guards
+/src-client/win/precomp_vcc.h:          --no-fix-header-guards
+/src-server/win/precomp_vcc.h:          --no-fix-header-guards
 
 # IDL and XML
Index: /trunk/src/VBox/Main/cbinding/VBoxCAPIGlue.h.in
===================================================================
--- /trunk/src/VBox/Main/cbinding/VBoxCAPIGlue.h.in	(revision 76541)
+++ /trunk/src/VBox/Main/cbinding/VBoxCAPIGlue.h.in	(revision 76542)
@@ -31,4 +31,7 @@
 #ifndef ___VBoxCAPIGlue_h
 #define ___VBoxCAPIGlue_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #undef VBOX_WITH_GLUE
Index: /trunk/src/VBox/Main/cbinding/VBoxCAPI_v2_2.h
===================================================================
--- /trunk/src/VBox/Main/cbinding/VBoxCAPI_v2_2.h	(revision 76541)
+++ /trunk/src/VBox/Main/cbinding/VBoxCAPI_v2_2.h	(revision 76542)
@@ -41,4 +41,7 @@
 #ifndef ___VirtualBox_CXPCOM_h
 #define ___VirtualBox_CXPCOM_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: /trunk/src/VBox/Main/cbinding/VBoxCAPI_v3_0.h
===================================================================
--- /trunk/src/VBox/Main/cbinding/VBoxCAPI_v3_0.h	(revision 76541)
+++ /trunk/src/VBox/Main/cbinding/VBoxCAPI_v3_0.h	(revision 76542)
@@ -41,4 +41,7 @@
 #ifndef ___VirtualBox_CXPCOM_h
 #define ___VirtualBox_CXPCOM_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: /trunk/src/VBox/Main/cbinding/VBoxCAPI_v3_1.h
===================================================================
--- /trunk/src/VBox/Main/cbinding/VBoxCAPI_v3_1.h	(revision 76541)
+++ /trunk/src/VBox/Main/cbinding/VBoxCAPI_v3_1.h	(revision 76542)
@@ -41,4 +41,7 @@
 #ifndef ___VirtualBox_CXPCOM_h
 #define ___VirtualBox_CXPCOM_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: /trunk/src/VBox/Main/cbinding/VBoxCAPI_v3_2.h
===================================================================
--- /trunk/src/VBox/Main/cbinding/VBoxCAPI_v3_2.h	(revision 76541)
+++ /trunk/src/VBox/Main/cbinding/VBoxCAPI_v3_2.h	(revision 76542)
@@ -41,4 +41,7 @@
 #ifndef ___VirtualBox_CXPCOM_h
 #define ___VirtualBox_CXPCOM_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_0.h
===================================================================
--- /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_0.h	(revision 76541)
+++ /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_0.h	(revision 76542)
@@ -41,4 +41,7 @@
 #ifndef ___VirtualBox_CXPCOM_h
 #define ___VirtualBox_CXPCOM_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_1.h
===================================================================
--- /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_1.h	(revision 76541)
+++ /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_1.h	(revision 76542)
@@ -41,4 +41,7 @@
 #ifndef ___VirtualBox_CXPCOM_h
 #define ___VirtualBox_CXPCOM_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_2.h
===================================================================
--- /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_2.h	(revision 76541)
+++ /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_2.h	(revision 76542)
@@ -41,4 +41,7 @@
 #ifndef ___VirtualBox_CXPCOM_h
 #define ___VirtualBox_CXPCOM_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef __cplusplus
Index: /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_3.h
===================================================================
--- /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_3.h	(revision 76541)
+++ /trunk/src/VBox/Main/cbinding/VBoxCAPI_v4_3.h	(revision 76542)
@@ -42,4 +42,7 @@
 #ifndef ___VirtualBox_CAPI_h
 #define ___VirtualBox_CAPI_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #ifdef _WIN32
Index: /trunk/src/VBox/Main/src-server/HostDnsService.h
===================================================================
--- /trunk/src/VBox/Main/src-server/HostDnsService.h	(revision 76541)
+++ /trunk/src/VBox/Main/src-server/HostDnsService.h	(revision 76542)
@@ -18,4 +18,7 @@
 #ifndef ___H_DNSHOSTSERVICE
 #define ___H_DNSHOSTSERVICE
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 #include "VirtualBoxBase.h"
 
Index: /trunk/src/VBox/Main/src-server/darwin/iokit.h
===================================================================
--- /trunk/src/VBox/Main/src-server/darwin/iokit.h	(revision 76541)
+++ /trunk/src/VBox/Main/src-server/darwin/iokit.h	(revision 76542)
@@ -18,4 +18,7 @@
 #ifndef ___darwin_iokit_h___
 #define ___darwin_iokit_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include <iprt/cdefs.h>
Index: /trunk/src/VBox/Main/src-server/win/svchlp.h
===================================================================
--- /trunk/src/VBox/Main/src-server/win/svchlp.h	(revision 76541)
+++ /trunk/src/VBox/Main/src-server/win/svchlp.h	(revision 76542)
@@ -18,4 +18,7 @@
 #ifndef ___VBox_svchlp_h___
 #define ___VBox_svchlp_h___
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #include "VBox/com/string.h"
Index: /trunk/src/VBox/Main/testcase/tstUSBLinux.h
===================================================================
--- /trunk/src/VBox/Main/testcase/tstUSBLinux.h	(revision 76541)
+++ /trunk/src/VBox/Main/testcase/tstUSBLinux.h	(revision 76542)
@@ -16,7 +16,9 @@
  */
 
-
 #ifndef ____H_TSTUSBLINUX
 #define ____H_TSTUSBLINUX
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 typedef int HRESULT;
Index: /trunk/src/VBox/Main/webservice/vboxweb.h
===================================================================
--- /trunk/src/VBox/Main/webservice/vboxweb.h	(revision 76541)
+++ /trunk/src/VBox/Main/webservice/vboxweb.h	(revision 76542)
@@ -15,4 +15,10 @@
  * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
  */
+
+#ifndef VBOX_INCLUDED_webservice_vboxweb_h
+#define VBOX_INCLUDED_webservice_vboxweb_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
 
 #define LOG_GROUP LOG_GROUP_WEBSERVICE
@@ -356,2 +362,5 @@
     return g_EmptyWSDLID;
 }
+
+#endif
+