Index: trunk/src/VBox/HostServices/SharedOpenGL/.scm-settings
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/.scm-settings	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/.scm-settings	(revision 76553)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2017 Oracle Corporation
+# Copyright (C) 2017-2019 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/Makefile.kmk
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/Makefile.kmk	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/Makefile.kmk	(revision 76553)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2008-2017 Oracle Corporation
+# Copyright (C) 2008-2019 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/OpenGLTest.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/OpenGLTest.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/OpenGLTest.cpp	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/OpenGLTestApp.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/OpenGLTestApp.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/OpenGLTestApp.cpp	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/OpenGLTestDarwin.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/OpenGLTestDarwin.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/OpenGLTestDarwin.cpp	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/VBoxTestOGL.rc
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/VBoxTestOGL.rc	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/OpenGLTest/VBoxTestOGL.rc	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015-2017 Oracle Corporation
+ * Copyright (C) 2015-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserver/VBoxSharedCrOpenGL.rc
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserver/VBoxSharedCrOpenGL.rc	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserver/VBoxSharedCrOpenGL.rc	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015-2017 Oracle Corporation
+ * Copyright (C) 2015-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserver/crservice.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserver/crservice.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserver/crservice.cpp	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2017 Oracle Corporation
+ * Copyright (C) 2006-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_base.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_base.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_base.cpp	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2014-2017 Oracle Corporation
+ * Copyright (C) 2014-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_composite.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_composite.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_composite.cpp	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2014-2017 Oracle Corporation
+ * Copyright (C) 2014-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_vrdp.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_vrdp.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_vrdp.cpp	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2014-2017 Oracle Corporation
+ * Copyright (C) 2014-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_window.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_window.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_window.cpp	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2014-2017 Oracle Corporation
+ * Copyright (C) 2014-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_window_rootvr.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_window_rootvr.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/display_window_rootvr.cpp	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2014-2017 Oracle Corporation
+ * Copyright (C) 2014-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/server_presenter.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/server_presenter.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/server_presenter.cpp	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2012-2017 Oracle Corporation
+ * Copyright (C) 2012-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/server_presenter.h
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/server_presenter.h	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/server_presenter.h	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2014-2017 Oracle Corporation
+ * Copyright (C) 2014-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/window.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/window.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/presenter/window.cpp	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2014-2017 Oracle Corporation
+ * Copyright (C) 2014-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_framebuffer.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_framebuffer.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_framebuffer.c	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_getshaders.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_getshaders.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_getshaders.c	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_glsl.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_glsl.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_glsl.c	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_muralfbo.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_muralfbo.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_muralfbo.cpp	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_rpw.cpp
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_rpw.cpp	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_rpw.cpp	(revision 76553)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_texture.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_texture.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/crserverlib/server_texture.c	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/dlm/dlm_lists.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/dlm/dlm_lists.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/dlm/dlm_lists.c	(revision 76553)
@@ -10,5 +10,5 @@
 
 /*
- * Copyright (C) 2015-2017 Oracle Corporation
+ * Copyright (C) 2015-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/dlm/dlm_state.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/dlm/dlm_state.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/dlm/dlm_state.c	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015-2017 Oracle Corporation
+ * Copyright (C) 2015-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/expando/expandospu.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/expando/expandospu.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/expando/expandospu.c	(revision 76553)
@@ -12,5 +12,5 @@
 
 /*
- * Copyright (C) 2015-2017 Oracle Corporation
+ * Copyright (C) 2015-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/render/VBoxOGLrenderspu.rc
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/render/VBoxOGLrenderspu.rc	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/render/VBoxOGLrenderspu.rc	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015-2017 Oracle Corporation
+ * Copyright (C) 2015-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/render/renderspu_cocoa.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/render/renderspu_cocoa.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/render/renderspu_cocoa.c	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/render/renderspu_cocoa_helper.h
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/render/renderspu_cocoa_helper.h	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/render/renderspu_cocoa_helper.h	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/render/renderspu_cocoa_helper.m
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/render/renderspu_cocoa_helper.m	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/render/renderspu_cocoa_helper.m	(revision 76553)
@@ -8,5 +8,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/unpacker/unpack_framebuffer.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/unpacker/unpack_framebuffer.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/unpacker/unpack_framebuffer.c	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/unpacker/unpack_shaders.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/unpacker/unpack_shaders.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/unpacker/unpack_shaders.c	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2017 Oracle Corporation
+ * Copyright (C) 2009-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostServices/SharedOpenGL/unpacker/unpack_visibleregion.c
===================================================================
--- trunk/src/VBox/HostServices/SharedOpenGL/unpacker/unpack_visibleregion.c	(revision 76526)
+++ trunk/src/VBox/HostServices/SharedOpenGL/unpacker/unpack_visibleregion.c	(revision 76553)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2017 Oracle Corporation
+ * Copyright (C) 2008-2019 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as