Index: trunk/src/VBox/Additions/common/VBoxGuest/lib/VBoxGuestR0LibInternal.h
===================================================================
--- trunk/src/VBox/Additions/common/VBoxGuest/lib/VBoxGuestR0LibInternal.h	(revision 76553)
+++ trunk/src/VBox/Additions/common/VBoxGuest/lib/VBoxGuestR0LibInternal.h	(revision 76557)
@@ -50,5 +50,5 @@
     /** Pointer to the session handle. */
     void           *pvSession;
-# if defined(RT_OS_WINDOWS) && (defined(___iprt_nt_ntddk_h___) || defined(___iprt_nt_nt_h___))
+# if defined(RT_OS_WINDOWS) && (defined(IPRT_INCLUDED_nt_ntddk_h) || defined(IPRT_INCLUDED_nt_nt_h))
     /** Pointer to the NT device object. */
     PDEVICE_OBJECT  pDeviceObject;
Index: trunk/src/VBox/Additions/common/VBoxGuest/lib/VBoxGuestR3LibInternal.h
===================================================================
--- trunk/src/VBox/Additions/common/VBoxGuest/lib/VBoxGuestR3LibInternal.h	(revision 76553)
+++ trunk/src/VBox/Additions/common/VBoxGuest/lib/VBoxGuestR3LibInternal.h	(revision 76557)
@@ -99,5 +99,5 @@
 
 
-#ifdef ___iprt_string_h
+#ifdef IPRT_INCLUDED_string_h
 
 DECLINLINE(void) VbglHGCMParmPtrSetString(HGCMFunctionParameter *pParm, const char *psz)
@@ -108,5 +108,5 @@
 }
 
-#endif /* ___iprt_string_h */
+#endif /* IPRT_INCLUDED_string_h */
 
 #ifdef VBOX_VBGLR3_XFREE86
Index: trunk/src/VBox/Additions/common/VBoxService/VBoxServiceInternal.h
===================================================================
--- trunk/src/VBox/Additions/common/VBoxService/VBoxServiceInternal.h	(revision 76553)
+++ trunk/src/VBox/Additions/common/VBoxService/VBoxServiceInternal.h	(revision 76557)
@@ -214,5 +214,5 @@
 extern decltype(GetSystemTimeAdjustment)       *g_pfnGetSystemTimeAdjustment;
 extern decltype(SetSystemTimeAdjustment)       *g_pfnSetSystemTimeAdjustment;
-# ifdef ___iprt_nt_nt_h___
+# ifdef IPRT_INCLUDED_nt_nt_h
 extern decltype(ZwQuerySystemInformation)      *g_pfnZwQuerySystemInformation;
 # endif
Index: trunk/src/VBox/HostDrivers/Support/SUPLibInternal.h
===================================================================
--- trunk/src/VBox/HostDrivers/Support/SUPLibInternal.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/Support/SUPLibInternal.h	(revision 76557)
@@ -466,5 +466,5 @@
 DECLHIDDEN(void)    supR3HardenedWinInitImports(void);
 DECLHIDDEN(void)    supR3HardenedWinModifyDllSearchPath(uint32_t fFlags, const char *pszAppBinPath);
-# ifdef ___iprt_nt_nt_h___
+# ifdef IPRT_INCLUDED_nt_nt_h
 DECLHIDDEN(void)    supR3HardenedWinGetVeryEarlyImports(uintptr_t uNtDllAddr,
                                                         PFNNTWAITFORSINGLEOBJECT *ppfnNtWaitForSingleObject,
Index: trunk/src/VBox/Main/cbinding/tstCAPIGlue.c
===================================================================
--- trunk/src/VBox/Main/cbinding/tstCAPIGlue.c	(revision 76553)
+++ trunk/src/VBox/Main/cbinding/tstCAPIGlue.c	(revision 76557)
@@ -40,5 +40,5 @@
 # include <sys/poll.h>
 #endif
-#ifdef ___iprt_cdefs_h
+#ifdef IPRT_INCLUDED_cdefs_h
 # error "not supposed to involve any IPRT or VBox headers here."
 #endif
Index: trunk/src/VBox/Runtime/include/internal/path.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/path.h	(revision 76553)
+++ trunk/src/VBox/Runtime/include/internal/path.h	(revision 76557)
@@ -135,5 +135,5 @@
 
 
-#if defined(RT_OS_WINDOWS) && defined(___iprt_fs_h) && defined(UNICODE_NULL)
+#if defined(RT_OS_WINDOWS) && defined(IPRT_INCLUDED_fs_h) && defined(UNICODE_NULL)
 DECLHIDDEN(int) rtPathNtQueryInfoWorker(HANDLE hRootDir, struct _UNICODE_STRING *pNtName, PRTFSOBJINFO pObjInfo,
                                         RTFSOBJATTRADD enmAdditionalAttribs, uint32_t fFlags, const char *pszPath);
Index: trunk/src/VBox/Runtime/include/internal/thread.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/thread.h	(revision 76553)
+++ trunk/src/VBox/Runtime/include/internal/thread.h	(revision 76557)
@@ -262,5 +262,5 @@
 #endif
 
-#ifdef ___iprt_asm_h
+#ifdef IPRT_INCLUDED_asm_h
 
 /**
Index: trunk/src/VBox/Runtime/r0drv/linux/the-linux-kernel.h
===================================================================
--- trunk/src/VBox/Runtime/r0drv/linux/the-linux-kernel.h	(revision 76553)
+++ trunk/src/VBox/Runtime/r0drv/linux/the-linux-kernel.h	(revision 76557)
@@ -431,5 +431,5 @@
  * There are some conflicting defines in iprt/param.h, sort them out here.
  */
-#ifndef ___iprt_param_h
+#ifndef IPRT_INCLUDED_param_h
 # undef PAGE_SIZE
 # undef PAGE_OFFSET_MASK
Index: trunk/src/VBox/Runtime/r3/win/internal-r3-win.h
===================================================================
--- trunk/src/VBox/Runtime/r3/win/internal-r3-win.h	(revision 76553)
+++ trunk/src/VBox/Runtime/r3/win/internal-r3-win.h	(revision 76557)
@@ -111,5 +111,5 @@
 typedef NTSTATUS (NTAPI *PFNNTDUPLICATETOKEN)(HANDLE, ACCESS_MASK, struct _OBJECT_ATTRIBUTES *, BOOLEAN, TOKEN_TYPE, PHANDLE);
 extern DECLHIDDEN(PFNNTDUPLICATETOKEN)             g_pfnNtDuplicateToken;
-#ifdef ___iprt_nt_nt_h___
+#ifdef IPRT_INCLUDED_nt_nt_h
 extern decltype(NtAlertThread)                    *g_pfnNtAlertThread;
 #endif