Index: trunk/src/VBox/Runtime/.scm-settings
===================================================================
--- trunk/src/VBox/Runtime/.scm-settings	(revision 76558)
+++ trunk/src/VBox/Runtime/.scm-settings	(revision 76559)
@@ -115,2 +115,4 @@
 /common/misc/sanity.h                          : --no-fix-header-guards
 /r3/win/vcc100-kernel32-fakes.h                : --no-fix-header-guards
+/include/internal/*.h: --guard-relative-to-dir include/internal --guard-prefix IPRT_INCLUDED_INTERNAL_
+
Index: trunk/src/VBox/Runtime/include/internal/alignmentchecks.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/alignmentchecks.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/alignmentchecks.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_alignmentchecks_h
-#define ___internal_alignmentchecks_h
+#ifndef IPRT_INCLUDED_INTERNAL_alignmentchecks_h
+#define IPRT_INCLUDED_INTERNAL_alignmentchecks_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/assert.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/assert.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/assert.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_assert_h
-#define ___internal_assert_h
+#ifndef IPRT_INCLUDED_INTERNAL_assert_h
+#define IPRT_INCLUDED_INTERNAL_assert_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/dbgmod.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/dbgmod.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/dbgmod.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_dbgmod_h
-#define ___internal_dbgmod_h
+#ifndef IPRT_INCLUDED_INTERNAL_dbgmod_h
+#define IPRT_INCLUDED_INTERNAL_dbgmod_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/dir.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/dir.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/dir.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_dir_h
-#define ___internal_dir_h
+#ifndef IPRT_INCLUDED_INTERNAL_dir_h
+#define IPRT_INCLUDED_INTERNAL_dir_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/dvm.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/dvm.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/dvm.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_dvm_h
-#define ___internal_dvm_h
+#ifndef IPRT_INCLUDED_INTERNAL_dvm_h
+#define IPRT_INCLUDED_INTERNAL_dvm_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/file.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/file.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/file.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_file_h
-#define ___internal_file_h
+#ifndef IPRT_INCLUDED_INTERNAL_file_h
+#define IPRT_INCLUDED_INTERNAL_file_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/fileaio.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/fileaio.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/fileaio.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_fileaio_h
-#define ___internal_fileaio_h
+#ifndef IPRT_INCLUDED_INTERNAL_fileaio_h
+#define IPRT_INCLUDED_INTERNAL_fileaio_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/fs.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/fs.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/fs.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_fs_h
-#define ___internal_fs_h
+#ifndef IPRT_INCLUDED_INTERNAL_fs_h
+#define IPRT_INCLUDED_INTERNAL_fs_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/initterm.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/initterm.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/initterm.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_initterm_h
-#define ___internal_initterm_h
+#ifndef IPRT_INCLUDED_INTERNAL_initterm_h
+#define IPRT_INCLUDED_INTERNAL_initterm_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/iprt-openssl.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/iprt-openssl.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/iprt-openssl.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_iprt_openssl_h
-#define ___internal_iprt_openssl_h
+#ifndef IPRT_INCLUDED_INTERNAL_iprt_openssl_h
+#define IPRT_INCLUDED_INTERNAL_iprt_openssl_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/iprt.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/iprt.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/iprt.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_iprt_h
-#define ___internal_iprt_h
+#ifndef IPRT_INCLUDED_INTERNAL_iprt_h
+#define IPRT_INCLUDED_INTERNAL_iprt_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/ldr.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/ldr.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/ldr.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_ldr_h
-#define ___internal_ldr_h
+#ifndef IPRT_INCLUDED_INTERNAL_ldr_h
+#define IPRT_INCLUDED_INTERNAL_ldr_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/lockvalidator.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/lockvalidator.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/lockvalidator.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___iprt_internal_lockvalidator_h
-#define ___iprt_internal_lockvalidator_h
+#ifndef IPRT_INCLUDED_INTERNAL_lockvalidator_h
+#define IPRT_INCLUDED_INTERNAL_lockvalidator_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/magics.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/magics.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/magics.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_magics_h
-#define ___internal_magics_h
+#ifndef IPRT_INCLUDED_INTERNAL_magics_h
+#define IPRT_INCLUDED_INTERNAL_magics_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/mem.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/mem.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/mem.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_mem_h
-#define ___internal_mem_h
+#ifndef IPRT_INCLUDED_INTERNAL_mem_h
+#define IPRT_INCLUDED_INTERNAL_mem_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/memobj.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/memobj.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/memobj.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_memobj_h
-#define ___internal_memobj_h
+#ifndef IPRT_INCLUDED_INTERNAL_memobj_h
+#define IPRT_INCLUDED_INTERNAL_memobj_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/mp.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/mp.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/mp.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_mp_h
-#define ___internal_mp_h
+#ifndef IPRT_INCLUDED_INTERNAL_mp_h
+#define IPRT_INCLUDED_INTERNAL_mp_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/path.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/path.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/path.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_path_h
-#define ___internal_path_h
+#ifndef IPRT_INCLUDED_INTERNAL_path_h
+#define IPRT_INCLUDED_INTERNAL_path_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/pipe.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/pipe.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/pipe.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_pipe_h
-#define ___internal_pipe_h
+#ifndef IPRT_INCLUDED_INTERNAL_pipe_h
+#define IPRT_INCLUDED_INTERNAL_pipe_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/process.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/process.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/process.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_process_h
-#define ___internal_process_h
+#ifndef IPRT_INCLUDED_INTERNAL_process_h
+#define IPRT_INCLUDED_INTERNAL_process_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/rand.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/rand.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/rand.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_rand_h
-#define ___internal_rand_h
+#ifndef IPRT_INCLUDED_INTERNAL_rand_h
+#define IPRT_INCLUDED_INTERNAL_rand_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/req.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/req.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/req.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_req_h
-#define ___internal_req_h
+#ifndef IPRT_INCLUDED_INTERNAL_req_h
+#define IPRT_INCLUDED_INTERNAL_req_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/sched.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/sched.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/sched.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_sched_h
-#define ___internal_sched_h
+#ifndef IPRT_INCLUDED_INTERNAL_sched_h
+#define IPRT_INCLUDED_INTERNAL_sched_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/socket.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/socket.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/socket.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_socket_h
-#define ___internal_socket_h
+#ifndef IPRT_INCLUDED_INTERNAL_socket_h
+#define IPRT_INCLUDED_INTERNAL_socket_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/strhash.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/strhash.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/strhash.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_strhash_h
-#define ___internal_strhash_h
+#ifndef IPRT_INCLUDED_INTERNAL_strhash_h
+#define IPRT_INCLUDED_INTERNAL_strhash_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/strict.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/strict.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/strict.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_strict_h
-#define ___internal_strict_h
+#ifndef IPRT_INCLUDED_INTERNAL_strict_h
+#define IPRT_INCLUDED_INTERNAL_strict_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/string.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/string.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/string.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_string_h
-#define ___internal_string_h
+#ifndef IPRT_INCLUDED_INTERNAL_string_h
+#define IPRT_INCLUDED_INTERNAL_string_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/thread.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/thread.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/thread.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___thread_h
-#define ___thread_h
+#ifndef IPRT_INCLUDED_INTERNAL_thread_h
+#define IPRT_INCLUDED_INTERNAL_thread_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
Index: trunk/src/VBox/Runtime/include/internal/time.h
===================================================================
--- trunk/src/VBox/Runtime/include/internal/time.h	(revision 76558)
+++ trunk/src/VBox/Runtime/include/internal/time.h	(revision 76559)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___internal_time_h
-#define ___internal_time_h
+#ifndef IPRT_INCLUDED_INTERNAL_time_h
+#define IPRT_INCLUDED_INTERNAL_time_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once