Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.h	(revision 76568)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___VBoxDrvTool_win_h___
-#define ___VBoxDrvTool_win_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_cmn_VBoxDrvTool_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_cmn_VBoxDrvTool_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -100,4 +100,4 @@
 RT_C_DECLS_END
 
-#endif
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_cmn_VBoxDrvTool_h */
 
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbIdc.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbIdc.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbIdc.h	(revision 76568)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___VBoxUsbIdc_h___
-#define ___VBoxUsbIdc_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_cmn_VBoxUsbIdc_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_cmn_VBoxUsbIdc_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -83,3 +83,3 @@
 NTSTATUS VBoxUsbIdcProxyStopped(HVBOXUSBIDCDEV hDev);
 
-#endif /* #ifndef ___VBoxUsbIdc_h___ */
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_cmn_VBoxUsbIdc_h */
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.h	(revision 76568)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___VBoxUsbTool_h___
-#define ___VBoxUsbTool_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_cmn_VBoxUsbTool_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_cmn_VBoxUsbTool_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -77,3 +77,3 @@
 RT_C_DECLS_END
 
-#endif /* #ifndef ___VBoxUsbTool_h___ */
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_cmn_VBoxUsbTool_h */
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbCmn.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbCmn.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbCmn.h	(revision 76568)
@@ -24,6 +24,6 @@
  */
 
-#ifndef ___VBoxUsbCmn_h___
-#define ___VBoxUsbCmn_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbCmn_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbCmn_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -91,3 +91,3 @@
 
 
-#endif /* #ifndef ___VBoxUsbCmn_h___ */
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbCmn_h */
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.h	(revision 76568)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___VBoxUsbDev_h___
-#define ___VBoxUsbDev_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbDev_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbDev_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -206,3 +206,3 @@
 }
 
-#endif /* #ifndef ___VBoxUsbDev_h___ */
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbDev_h */
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.h	(revision 76568)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___VBoxUsbPnP_h___
-#define ___VBoxUsbPnP_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbPnP_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbPnP_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -34,3 +34,3 @@
 DECLHIDDEN(NTSTATUS) vboxUsbDispatchPnP(IN PDEVICE_OBJECT pDeviceObject, IN PIRP pIrp);
 
-#endif
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbPnP_h */
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.h	(revision 76568)
@@ -24,6 +24,6 @@
  */
 
-#ifndef ___VBoxUsbPwr_h___
-#define ___VBoxUsbPwr_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbPwr_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbPwr_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -39,3 +39,3 @@
 DECLHIDDEN(NTSTATUS) vboxUsbDispatchPower(IN PDEVICE_OBJECT pDeviceObject, IN PIRP pIrp);
 
-#endif /* #ifndef ___VBoxUsbPwr_h___ */
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbPwr_h */
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.h	(revision 76568)
@@ -24,6 +24,6 @@
  */
 
-#ifndef ___VBoxUsbRt_h___
-#define ___VBoxUsbRt_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbRt_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbRt_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -85,3 +85,3 @@
 DECLHIDDEN(NTSTATUS) vboxUsbRtClose(PVBOXUSBDEV_EXT pDevExt, PIRP pIrp);
 
-#endif /* #ifndef ___VBoxUsbRt_h___ */
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_dev_VBoxUsbRt_h */
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.h	(revision 76568)
@@ -25,6 +25,6 @@
  */
 
-#ifndef ___win_mon_VBoxUsbFlt_h___
-#define ___win_mon_VBoxUsbFlt_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_mon_VBoxUsbFlt_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_mon_VBoxUsbFlt_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -65,4 +65,4 @@
 BOOLEAN VBoxUsbFltPdoIsFiltered(PDEVICE_OBJECT pPdo);
 
-#endif
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_mon_VBoxUsbFlt_h */
 
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.h	(revision 76568)
@@ -24,6 +24,6 @@
  */
 
-#ifndef ___VBoxUsbHook_h___
-#define ___VBoxUsbHook_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_mon_VBoxUsbHook_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_mon_VBoxUsbHook_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -84,3 +84,3 @@
 VOID VBoxUsbHookVerifyCompletion(PVBOXUSBHOOK_ENTRY pHook, PVBOXUSBHOOK_REQUEST pRequest, PIRP pIrp);
 
-#endif /* #ifndef ___VBoxUsbHook_h___ */
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_mon_VBoxUsbHook_h */
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h	(revision 76553)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h	(revision 76568)
@@ -24,6 +24,6 @@
  */
 
-#ifndef ___VBoxUsbMon_h___
-#define ___VBoxUsbMon_h___
+#ifndef VBOX_INCLUDED_SRC_VBoxUSB_win_mon_VBoxUsbMon_h
+#define VBOX_INCLUDED_SRC_VBoxUSB_win_mon_VBoxUsbMon_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -72,3 +72,3 @@
 VOID vboxUsbMonHubDevWalk(PFNVBOXUSBMONDEVWALKER pfnWalker, PVOID pvWalker, ULONG fFlags);
 
-#endif /* #ifndef ___VBoxUsbMon_h___ */
+#endif /* !VBOX_INCLUDED_SRC_VBoxUSB_win_mon_VBoxUsbMon_h */