Index: trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostart.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostart.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostart.h	(revision 76582)
@@ -16,6 +16,6 @@
  */
 
-#ifndef __VBoxAutostart_h__
-#define __VBoxAutostart_h__
+#ifndef VBOX_INCLUDED_SRC_VBoxAutostart_VBoxAutostart_h
+#define VBOX_INCLUDED_SRC_VBoxAutostart_VBoxAutostart_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -335,4 +335,4 @@
 DECLHIDDEN(void) autostartShutdown();
 
-#endif /* __VBoxAutostart_h__ */
-
+#endif /* !VBOX_INCLUDED_SRC_VBoxAutostart_VBoxAutostart_h */
+
Index: trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdogInternal.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdogInternal.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdogInternal.h	(revision 76582)
@@ -16,6 +16,6 @@
  */
 
-#ifndef ___H_VBOXWATCHDOG
-#define ___H_VBOXWATCHDOG
+#ifndef VBOX_INCLUDED_SRC_VBoxBalloonCtrl_VBoxWatchdogInternal_h
+#define VBOX_INCLUDED_SRC_VBoxBalloonCtrl_VBoxWatchdogInternal_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -247,4 +247,4 @@
 RT_C_DECLS_END
 
-#endif /* !___H_VBOXWATCHDOG */
-
+#endif /* !VBOX_INCLUDED_SRC_VBoxBalloonCtrl_VBoxWatchdogInternal_h */
+
Index: trunk/src/VBox/Frontends/VBoxBugReport/VBoxBugReport.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxBugReport/VBoxBugReport.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxBugReport/VBoxBugReport.h	(revision 76582)
@@ -16,6 +16,6 @@
  */
 
-#ifndef ___H_VBOXBUGREPORT
-#define ___H_VBOXBUGREPORT
+#ifndef VBOX_INCLUDED_SRC_VBoxBugReport_VBoxBugReport_h
+#define VBOX_INCLUDED_SRC_VBoxBugReport_VBoxBugReport_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -274,3 +274,3 @@
 void createBugReportOsSpecific(BugReport* report, const char *pszHome);
 
-#endif /* !___H_VBOXBUGREPORT */
+#endif /* !VBOX_INCLUDED_SRC_VBoxBugReport_VBoxBugReport_h */
Index: trunk/src/VBox/Frontends/VBoxFB/Framebuffer.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxFB/Framebuffer.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxFB/Framebuffer.h	(revision 76582)
@@ -15,6 +15,6 @@
  */
 
-#ifndef __H_FRAMEBUFFER
-#define __H_FRAMEBUFFER
+#ifndef VBOX_INCLUDED_SRC_VBoxFB_Framebuffer_h
+#define VBOX_INCLUDED_SRC_VBoxFB_Framebuffer_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -71,4 +71,4 @@
 
 
-#endif // !__H_FRAMEBUFFER
+#endif /* !VBOX_INCLUDED_SRC_VBoxFB_Framebuffer_h */
 
Index: trunk/src/VBox/Frontends/VBoxFB/Helper.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxFB/Helper.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxFB/Helper.h	(revision 76582)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __H_HELPER
-#define __H_HELPER
+#ifndef VBOX_INCLUDED_SRC_VBoxFB_Helper_h
+#define VBOX_INCLUDED_SRC_VBoxFB_Helper_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -37,3 +37,3 @@
 
 
-#endif // __H_HELPER
+#endif /* !VBOX_INCLUDED_SRC_VBoxFB_Helper_h */
Index: trunk/src/VBox/Frontends/VBoxFB/VBoxFB.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxFB/VBoxFB.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxFB/VBoxFB.h	(revision 76582)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __H_VBOXFB
-#define __H_VBOXFB
+#ifndef VBOX_INCLUDED_SRC_VBoxFB_VBoxFB_h
+#define VBOX_INCLUDED_SRC_VBoxFB_VBoxFB_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -79,3 +79,3 @@
 extern int scaleGuest;
 
-#endif // __H_VBOXFB
+#endif /* !VBOX_INCLUDED_SRC_VBoxFB_VBoxFB_h */
Index: trunk/src/VBox/Frontends/VBoxManage/VBoxManage.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxManage/VBoxManage.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxManage/VBoxManage.h	(revision 76582)
@@ -16,6 +16,6 @@
  */
 
-#ifndef ___H_VBOXMANAGE
-#define ___H_VBOXMANAGE
+#ifndef VBOX_INCLUDED_SRC_VBoxManage_VBoxManage_h
+#define VBOX_INCLUDED_SRC_VBoxManage_VBoxManage_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -336,3 +336,3 @@
 #endif /* !VBOX_ONLY_DOCS */
 
-#endif /* !___H_VBOXMANAGE */
+#endif /* !VBOX_INCLUDED_SRC_VBoxManage_VBoxManage_h */
Index: trunk/src/VBox/Frontends/VBoxManage/VBoxManageGuestCtrl.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxManage/VBoxManageGuestCtrl.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxManage/VBoxManageGuestCtrl.h	(revision 76582)
@@ -16,6 +16,6 @@
  */
 
-#ifndef ___H_VBOXMANAGE_GUESTCTRL
-#define ___H_VBOXMANAGE_GUESTCTRL
+#ifndef VBOX_INCLUDED_SRC_VBoxManage_VBoxManageGuestCtrl_h
+#define VBOX_INCLUDED_SRC_VBoxManage_VBoxManageGuestCtrl_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -233,4 +233,4 @@
 #endif /* !VBOX_ONLY_DOCS */
 
-#endif /* !___H_VBOXMANAGE_GUESTCTRL */
-
+#endif /* !VBOX_INCLUDED_SRC_VBoxManage_VBoxManageGuestCtrl_h */
+
Index: trunk/src/VBox/Frontends/VBoxSDL/Framebuffer.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxSDL/Framebuffer.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxSDL/Framebuffer.h	(revision 76582)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __H_FRAMEBUFFER
-#define __H_FRAMEBUFFER
+#ifndef VBOX_INCLUDED_SRC_VBoxSDL_Framebuffer_h
+#define VBOX_INCLUDED_SRC_VBoxSDL_Framebuffer_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -292,3 +292,3 @@
 };
 
-#endif // __H_FRAMEBUFFER
+#endif /* !VBOX_INCLUDED_SRC_VBoxSDL_Framebuffer_h */
Index: trunk/src/VBox/Frontends/VBoxSDL/Helper.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxSDL/Helper.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxSDL/Helper.h	(revision 76582)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __H_HELPER
-#define __H_HELPER
+#ifndef VBOX_INCLUDED_SRC_VBoxSDL_Helper_h
+#define VBOX_INCLUDED_SRC_VBoxSDL_Helper_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -54,4 +54,4 @@
 #endif /* defined(VBOX_WITH_XPCOM) && !defined(RT_OS_DARWIN) && !defined(RT_OS_OS2) */
 
-#endif // __H_HELPER
+#endif /* !VBOX_INCLUDED_SRC_VBoxSDL_Helper_h */
 
Index: trunk/src/VBox/Frontends/VBoxSDL/VBoxSDL.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxSDL/VBoxSDL.h	(revision 76581)
+++ trunk/src/VBox/Frontends/VBoxSDL/VBoxSDL.h	(revision 76582)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __H_VBOXSDL
-#define __H_VBOXSDL
+#ifndef VBOX_INCLUDED_SRC_VBoxSDL_VBoxSDL_h
+#define VBOX_INCLUDED_SRC_VBoxSDL_VBoxSDL_h
 #ifndef RT_WITHOUT_PRAGMA_ONCE
 # pragma once
@@ -92,3 +92,3 @@
 #endif
 
-#endif
+#endif /* !VBOX_INCLUDED_SRC_VBoxSDL_VBoxSDL_h */