Index: trunk/include/VBox/HostServices/DragAndDropSvc.h
===================================================================
--- trunk/include/VBox/HostServices/DragAndDropSvc.h	(revision 76558)
+++ trunk/include/VBox/HostServices/DragAndDropSvc.h	(revision 76585)
@@ -1110,4 +1110,4 @@
 } /* namespace DragAndDropSvc */
 
-#endif  /* !___VBox_HostService_DragAndDropSvc_h */
-
+#endif /* !VBOX_INCLUDED_HostServices_DragAndDropSvc_h */
+
Index: trunk/include/VBox/HostServices/GuestControlSvc.h
===================================================================
--- trunk/include/VBox/HostServices/GuestControlSvc.h	(revision 76558)
+++ trunk/include/VBox/HostServices/GuestControlSvc.h	(revision 76585)
@@ -1366,4 +1366,4 @@
 } /* namespace guestControl */
 
-#endif  /* !___VBox_HostService_GuestControlService_h */
-
+#endif /* !VBOX_INCLUDED_HostServices_GuestControlSvc_h */
+
Index: trunk/include/VBox/HostServices/GuestPropertySvc.h
===================================================================
--- trunk/include/VBox/HostServices/GuestPropertySvc.h	(revision 76558)
+++ trunk/include/VBox/HostServices/GuestPropertySvc.h	(revision 76585)
@@ -494,4 +494,4 @@
 
 
-#endif  /* !___VBox_HostService_GuestPropertySvc_h */
-
+#endif /* !VBOX_INCLUDED_HostServices_GuestPropertySvc_h */
+
Index: trunk/include/VBox/HostServices/Service.h
===================================================================
--- trunk/include/VBox/HostServices/Service.h	(revision 76558)
+++ trunk/include/VBox/HostServices/Service.h	(revision 76585)
@@ -379,4 +379,4 @@
 
 }
-#endif /* !___VBox_HostService_Service_h */
-
+#endif /* !VBOX_INCLUDED_HostServices_Service_h */
+
Index: trunk/include/VBox/HostServices/VBoxClipboardExt.h
===================================================================
--- trunk/include/VBox/HostServices/VBoxClipboardExt.h	(revision 76558)
+++ trunk/include/VBox/HostServices/VBoxClipboardExt.h	(revision 76585)
@@ -51,3 +51,3 @@
 } VBOXCLIPBOARDEXTPARMS;
 
-#endif
+#endif /* !VBOX_INCLUDED_HostServices_VBoxClipboardExt_h */
Index: trunk/include/VBox/HostServices/VBoxClipboardSvc.h
===================================================================
--- trunk/include/VBox/HostServices/VBoxClipboardSvc.h	(revision 76558)
+++ trunk/include/VBox/HostServices/VBoxClipboardSvc.h	(revision 76585)
@@ -136,3 +136,3 @@
 #pragma pack()
 
-#endif
+#endif /* !VBOX_INCLUDED_HostServices_VBoxClipboardSvc_h */
Index: trunk/include/VBox/HostServices/VBoxCrOpenGLSvc.h
===================================================================
--- trunk/include/VBox/HostServices/VBoxCrOpenGLSvc.h	(revision 76558)
+++ trunk/include/VBox/HostServices/VBoxCrOpenGLSvc.h	(revision 76585)
@@ -427,3 +427,3 @@
 } CRVBOXHGCMSETUNSCALEDHIDPIOUTPUT;
 
-#endif
+#endif /* !VBOX_INCLUDED_HostServices_VBoxCrOpenGLSvc_h */
Index: trunk/include/VBox/HostServices/VBoxHostChannel.h
===================================================================
--- trunk/include/VBox/HostServices/VBoxHostChannel.h	(revision 76558)
+++ trunk/include/VBox/HostServices/VBoxHostChannel.h	(revision 76585)
@@ -217,3 +217,3 @@
 #pragma pack()
 
-#endif
+#endif /* !VBOX_INCLUDED_HostServices_VBoxHostChannel_h */
Index: trunk/include/VBox/HostServices/VBoxOGLOp.h
===================================================================
--- trunk/include/VBox/HostServices/VBoxOGLOp.h	(revision 76558)
+++ trunk/include/VBox/HostServices/VBoxOGLOp.h	(revision 76585)
@@ -1898,4 +1898,4 @@
 #endif /* VBOX_OGL_WITH_EXTENSION_ARRAY */
 
-#endif
-
+#endif /* !VBOX_INCLUDED_HostServices_VBoxOGLOp_h */
+
Index: trunk/include/VBox/HostServices/VBoxOpenGLSvc.h
===================================================================
--- trunk/include/VBox/HostServices/VBoxOpenGLSvc.h	(revision 76558)
+++ trunk/include/VBox/HostServices/VBoxOpenGLSvc.h	(revision 76585)
@@ -201,4 +201,4 @@
 
 
-#endif
-
+#endif /* !VBOX_INCLUDED_HostServices_VBoxOpenGLSvc_h */
+
Index: trunk/include/VBox/HostServices/glext.h
===================================================================
--- trunk/include/VBox/HostServices/glext.h	(revision 76558)
+++ trunk/include/VBox/HostServices/glext.h	(revision 76585)
@@ -7262,3 +7262,3 @@
 #endif
 
-#endif
+#endif /* !VBOX_INCLUDED_HostServices_glext_h */
Index: trunk/include/VBox/HostServices/glxext.h
===================================================================
--- trunk/include/VBox/HostServices/glxext.h	(revision 76558)
+++ trunk/include/VBox/HostServices/glxext.h	(revision 76585)
@@ -787,3 +787,3 @@
 #endif
 
-#endif
+#endif /* !VBOX_INCLUDED_HostServices_glxext_h */
Index: trunk/include/VBox/HostServices/wglext.h
===================================================================
--- trunk/include/VBox/HostServices/wglext.h	(revision 76558)
+++ trunk/include/VBox/HostServices/wglext.h	(revision 76585)
@@ -650,3 +650,3 @@
 #endif
 
-#endif
+#endif /* !VBOX_INCLUDED_HostServices_wglext_h */