Index: trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManager.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManager.cpp	(revision 76626)
+++ trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManager.cpp	(revision 76627)
@@ -105,8 +105,8 @@
 
 UIFileManagerOptions::UIFileManagerOptions()
-    : bListDirectoriesOnTop(true)
-    , bAskDeleteConfirmation(false)
-    , bShowHumanReadableSizes(true)
-    , bShowHiddenObjects(true)
+    : fListDirectoriesOnTop(true)
+    , fAskDeleteConfirmation(false)
+    , fShowHumanReadableSizes(true)
+    , fShowHiddenObjects(true)
 {
 }
@@ -700,8 +700,8 @@
     if (pOptions)
     {
-        gEDataManager->setFileManagerOptions(pOptions->bListDirectoriesOnTop,
-                                             pOptions->bAskDeleteConfirmation,
-                                             pOptions->bShowHumanReadableSizes,
-                                             pOptions->bShowHiddenObjects);
+        gEDataManager->setFileManagerOptions(pOptions->fListDirectoriesOnTop,
+                                             pOptions->fAskDeleteConfirmation,
+                                             pOptions->fShowHumanReadableSizes,
+                                             pOptions->fShowHiddenObjects);
     }
 }
@@ -739,8 +739,8 @@
     if (pOptions)
     {
-        pOptions->bListDirectoriesOnTop = gEDataManager->fileManagerListDirectoriesFirst();
-        pOptions->bAskDeleteConfirmation = gEDataManager->fileManagerShowDeleteConfirmation();
-        pOptions->bShowHumanReadableSizes = gEDataManager->fileManagerShowHumanReadableSizes();
-        pOptions->bShowHiddenObjects = gEDataManager->fileManagerShowHiddenObjects();
+        pOptions->fListDirectoriesOnTop = gEDataManager->fileManagerListDirectoriesFirst();
+        pOptions->fAskDeleteConfirmation = gEDataManager->fileManagerShowDeleteConfirmation();
+        pOptions->fShowHumanReadableSizes = gEDataManager->fileManagerShowHumanReadableSizes();
+        pOptions->fShowHiddenObjects = gEDataManager->fileManagerShowHiddenObjects();
     }
 }
Index: trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManager.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManager.h	(revision 76626)
+++ trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManager.h	(revision 76627)
@@ -70,8 +70,8 @@
     static void destroy();
 
-    bool bListDirectoriesOnTop;
-    bool bAskDeleteConfirmation;
-    bool bShowHumanReadableSizes;
-    bool bShowHiddenObjects;
+    bool fListDirectoriesOnTop;
+    bool fAskDeleteConfirmation;
+    bool fShowHumanReadableSizes;
+    bool fShowHiddenObjects;
 
 private:
Index: trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManagerOptionsPanel.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManagerOptionsPanel.cpp	(revision 76626)
+++ trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManagerOptionsPanel.cpp	(revision 76627)
@@ -57,5 +57,5 @@
     {
         m_pListDirectoriesOnTopCheckBox->blockSignals(true);
-        m_pListDirectoriesOnTopCheckBox->setChecked(m_pFileManagerOptions->bListDirectoriesOnTop);
+        m_pListDirectoriesOnTopCheckBox->setChecked(m_pFileManagerOptions->fListDirectoriesOnTop);
         m_pListDirectoriesOnTopCheckBox->blockSignals(false);
     }
@@ -64,5 +64,5 @@
     {
         m_pDeleteConfirmationCheckBox->blockSignals(true);
-        m_pDeleteConfirmationCheckBox->setChecked(m_pFileManagerOptions->bAskDeleteConfirmation);
+        m_pDeleteConfirmationCheckBox->setChecked(m_pFileManagerOptions->fAskDeleteConfirmation);
         m_pDeleteConfirmationCheckBox->blockSignals(false);
     }
@@ -71,5 +71,5 @@
     {
         m_pHumanReabableSizesCheckBox->blockSignals(true);
-        m_pHumanReabableSizesCheckBox->setChecked(m_pFileManagerOptions->bShowHumanReadableSizes);
+        m_pHumanReabableSizesCheckBox->setChecked(m_pFileManagerOptions->fShowHumanReadableSizes);
         m_pHumanReabableSizesCheckBox->blockSignals(false);
     }
@@ -78,5 +78,5 @@
     {
         m_pShowHiddenObjectsCheckBox->blockSignals(true);
-        m_pShowHiddenObjectsCheckBox->setChecked(m_pFileManagerOptions->bShowHiddenObjects);
+        m_pShowHiddenObjectsCheckBox->setChecked(m_pFileManagerOptions->fShowHiddenObjects);
         m_pShowHiddenObjectsCheckBox->blockSignals(false);
     }
@@ -116,11 +116,11 @@
     {
         if (m_pListDirectoriesOnTopCheckBox)
-            m_pListDirectoriesOnTopCheckBox->setChecked(m_pFileManagerOptions->bListDirectoriesOnTop);
+            m_pListDirectoriesOnTopCheckBox->setChecked(m_pFileManagerOptions->fListDirectoriesOnTop);
         if (m_pDeleteConfirmationCheckBox)
-            m_pDeleteConfirmationCheckBox->setChecked(m_pFileManagerOptions->bAskDeleteConfirmation);
+            m_pDeleteConfirmationCheckBox->setChecked(m_pFileManagerOptions->fAskDeleteConfirmation);
         if (m_pHumanReabableSizesCheckBox)
-            m_pHumanReabableSizesCheckBox->setChecked(m_pFileManagerOptions->bShowHumanReadableSizes);
+            m_pHumanReabableSizesCheckBox->setChecked(m_pFileManagerOptions->fShowHumanReadableSizes);
         if (m_pShowHiddenObjectsCheckBox)
-            m_pShowHiddenObjectsCheckBox->setChecked(m_pFileManagerOptions->bShowHiddenObjects);
+            m_pShowHiddenObjectsCheckBox->setChecked(m_pFileManagerOptions->fShowHiddenObjects);
 
     }
@@ -133,5 +133,5 @@
     if (!m_pFileManagerOptions)
         return;
-    m_pFileManagerOptions->bListDirectoriesOnTop = bChecked;
+    m_pFileManagerOptions->fListDirectoriesOnTop = bChecked;
     emit sigOptionsChanged();
 }
@@ -141,5 +141,5 @@
     if (!m_pFileManagerOptions)
         return;
-    m_pFileManagerOptions->bAskDeleteConfirmation = bChecked;
+    m_pFileManagerOptions->fAskDeleteConfirmation = bChecked;
     emit sigOptionsChanged();
 }
@@ -149,5 +149,5 @@
     if (!m_pFileManagerOptions)
         return;
-    m_pFileManagerOptions->bShowHumanReadableSizes = bChecked;
+    m_pFileManagerOptions->fShowHumanReadableSizes = bChecked;
     emit sigOptionsChanged();
 }
@@ -157,5 +157,5 @@
     if (!m_pFileManagerOptions)
         return;
-    m_pFileManagerOptions->bShowHiddenObjects = bChecked;
+    m_pFileManagerOptions->fShowHiddenObjects = bChecked;
     emit sigOptionsChanged();
 }
Index: trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManagerTable.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManagerTable.cpp	(revision 76626)
+++ trunk/src/VBox/Frontends/VirtualBox/src/guestctrl/UIFileManagerTable.cpp	(revision 76627)
@@ -348,5 +348,5 @@
         UIFileManagerOptions *pFileManagerOptions = UIFileManagerOptions::instance();
         if (pFileManagerOptions)
-            m_pAskNextTimeCheckBox->setChecked(pFileManagerOptions->bAskDeleteConfirmation);
+            m_pAskNextTimeCheckBox->setChecked(pFileManagerOptions->fAskDeleteConfirmation);
 
         pLayout->addWidget(m_pAskNextTimeCheckBox);
@@ -1161,9 +1161,9 @@
         if (m_pProxyModel)
         {
-            m_pProxyModel->setListDirectoriesOnTop(pOptions->bListDirectoriesOnTop);
-            m_pProxyModel->setShowHiddenObjects(pOptions->bShowHiddenObjects);
+            m_pProxyModel->setListDirectoriesOnTop(pOptions->fListDirectoriesOnTop);
+            m_pProxyModel->setShowHiddenObjects(pOptions->fShowHiddenObjects);
         }
         if (m_pModel)
-            m_pModel->setShowHumanReadableSizes(pOptions->bShowHumanReadableSizes);
+            m_pModel->setShowHumanReadableSizes(pOptions->fShowHumanReadableSizes);
     }
     relist();
@@ -1230,5 +1230,5 @@
     if (!pFileManagerOptions)
         return true;
-    if (!pFileManagerOptions->bAskDeleteConfirmation)
+    if (!pFileManagerOptions->fAskDeleteConfirmation)
         return true;
     UIFileDeleteConfirmationDialog *pDialog =
@@ -1239,7 +1239,7 @@
 
     /* Update the file manager options only if it is necessary: */
-    if (pFileManagerOptions->bAskDeleteConfirmation != bAskNextTime)
-    {
-        pFileManagerOptions->bAskDeleteConfirmation = bAskNextTime;
+    if (pFileManagerOptions->fAskDeleteConfirmation != bAskNextTime)
+    {
+        pFileManagerOptions->fAskDeleteConfirmation = bAskNextTime;
         /* Notify file manager options panel so that the check box there is updated: */
         emit sigDeleteConfirmationOptionChanged();